cdac.medinfo.enums

## Enum EnumStatusCode

- java.lang.Object
- - java.lang.Enum<EnumStatusCode>
  - - cdac.medinfo.enums.EnumStatusCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumStatusCode>

      public enum EnumStatusCode
      extends java.lang.Enum<EnumStatusCode>

  This class specify section's status code used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED` This constant specifies value representation of status code aborted
    `ACTIVE` This constant specifies value representation of status code active
    `CANCELLED` This constant specifies value representation of status code cancelled
    `COMPLETED` This constant specifies value representation of status code completed
    `NEW` This constant specifies value representation of status code new

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumStatusCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumStatusCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPLETED

          public static final EnumStatusCode COMPLETED

      This constant specifies value representation of status code completed

    - #### ABORTED

          public static final EnumStatusCode ABORTED

      This constant specifies value representation of status code aborted

    - #### CANCELLED

          public static final EnumStatusCode CANCELLED

      This constant specifies value representation of status code cancelled

    - #### NEW

          public static final EnumStatusCode NEW

      This constant specifies value representation of status code new

    - #### ACTIVE

          public static final EnumStatusCode ACTIVE

      This constant specifies value representation of status code active

  - ### Method Detail

    - #### values

          public static EnumStatusCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumStatusCode c : EnumStatusCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumStatusCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.